# Uses of Class
org.eclipse.emf.compare.rcp.ui.internal.mergeviewer.impl.TreeMergeViewer

Packages that use TreeMergeViewer
Package
Description
org.eclipse.emf.compare.ide.ui.internal.contentmergeviewer.tree

## Uses of TreeMergeViewer in org.eclipse.emf.compare.ide.ui.internal.contentmergeviewer.tree

Methods in org.eclipse.emf.compare.ide.ui.internal.contentmergeviewer.tree that return TreeMergeViewer
Modifier and Type
Method
Description
`TreeMergeViewer`
AbstractTreeContentMergeViewer.`getAncestorMergeViewer()`
`TreeMergeViewer`
AbstractTreeContentMergeViewer.`getLeftMergeViewer()`
`TreeMergeViewer`
AbstractTreeContentMergeViewer.`getRightMergeViewer()`
Methods in org.eclipse.emf.compare.ide.ui.internal.contentmergeviewer.tree with parameters of type TreeMergeViewer
Modifier and Type
Method
Description
`protected void`
AbstractTreeContentMergeViewer.`hookListeners(TreeMergeViewer treeMergeViewer)`
Adds all required listeners to the given `TreeMergeViewer`.
`protected void`
TreeContentMergeViewer.`hookListeners(TreeMergeViewer treeMergeViewer)`
Adds all required listeners to the given `TreeMergeViewer`.
Constructors in org.eclipse.emf.compare.ide.ui.internal.contentmergeviewer.tree with parameters of type TreeMergeViewer
Modifier
Constructor
Description
``
`ExpandCollapseListener(TreeMergeViewer mergeTreeViewer, boolean expanded)`